Please mark alsa-utils Multi-Arch: foreign

Bug #1126633 reported by Mark Russell on 2013-02-15
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
alsa-utils (Ubuntu)
Undecided
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned

Bug Description

[Impact]
Marking alsa-utils as M-A: foreign will allow i386 packages that depend on alsa-utils to install on a amd64 system. Since alsa interfaces are architecture independent, foreign seems like the correct marking.

$ sudo apt-get install my-32-bit-app
my-32-bit-app:i386 : PreDepends: alsa-utils:i386 but it is not installable

[Test Case]
Install a 32-bit package that depends or pre-depends on alsa-utils and have it properly install.

[Regression Potential]
Minimal as this change on affects multi-arch status only.

Mark Russell (marrusl) wrote :

As with the alsa-base bug, this is already changed in raring packaging branches. I will post diffs for quantal and precise. Thanks @themuso for making the change in raring!

Mark Russell (marrusl) wrote :

The change is now in raring. Here's the debdiff for quantal. Thanks!

Mark Russell (marrusl) wrote :

And for precise.

The attachment "alsa-utils.quantal.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-utils (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :
Changed in alsa-utils (Ubuntu Precise):
importance: Undecided → Low
status: New → In Progress
Sebastien Bacher (seb128) wrote :
Changed in alsa-utils (Ubuntu Quantal):
importance: Undecided → Low
status: New → In Progress
Sebastien Bacher (seb128) wrote :
Changed in alsa-utils (Ubuntu):
status: Confirmed → Fix Released
Sebastien Bacher (seb128) wrote :

unsubscribing ubuntu-sponsors, subscribing ubuntu-sru instead

Hello Mark, or anyone else affected,

Accepted alsa-utils into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/alsa-utils/1.0.25-3ubuntu2.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in alsa-utils (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in alsa-utils (Ubuntu Precise):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Mark, or anyone else affected,

Accepted alsa-utils into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/alsa-utils/1.0.25-1ubuntu5.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

I am out of the office until 04/03/2013.

For urgent cases please contact:
<email address hidden> or <email address hidden>

Thank you,
Thorsten Hesemeyer

Note: This is an automated response to your message "[Bug 1126633] Re:
Please mark alsa-utils Multi-Arch: foreign" sent on 28/03/2013 22:47:25.

This is the only notification you will receive while this person is away.

Cláudio Carvalho (clavalho) wrote :

worked for me in both Precise and Quantal.

Mark Russell (marrusl) on 2013-04-01
tags: added: verification-done-precise verification-done-quantal
removed: verification-needed
Mark Russell (marrusl) on 2013-04-25
tags: added: verification-done

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-utils - 1.0.25-1ubuntu5.2

---------------
alsa-utils (1.0.25-1ubuntu5.2) precise-proposed; urgency=low

  * debian/control: Mark alsa-utils Multi-Arch foreign (LP: #1126633)
 -- Mark Russell <email address hidden> Sat, 02 Mar 2013 12:17:17 -0500

Changed in alsa-utils (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-utils - 1.0.25-3ubuntu2.2

---------------
alsa-utils (1.0.25-3ubuntu2.2) quantal-proposed; urgency=low

  * debian/control: Mark alsa-utils Multi-Arch foreign (LP: #1126633)

alsa-utils (1.0.25-3ubuntu2.1) quantal; urgency=low

  * Added Samsung Chromebook support into 90-alsa-ucm.rules LP: #1085392
 -- Mark Russell <email address hidden> Sat, 02 Mar 2013 12:13:58 -0500

Changed in alsa-utils (Ubuntu Quantal):
status: Fix Committed → Fix Released

I am out of the office until 06/02/2013.

For urgent cases please contact:
<email address hidden> or <email address hidden>

Thank you,
Thorsten Hesemeyer

Note: This is an automated response to your message "[Bug 1126633] Re:
Please mark alsa-utils Multi-Arch: foreign" sent on 09/05/2013 12:17:23.

This is the only notification you will receive while this person is away.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers